/*
 * oma-ds-agent
 * Copyright (c) 2012 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef PLUGIN_SPEC_H_
#define PLUGIN_SPEC_H_

typedef enum {

	XCALLLOG_CONTENT_NO_TYPE = 0,
	XCALLLOG_CONTENT_EXTENSION = 1,
	XCALLLOG_CONTENT_FN = 2,
	XCALLLOG_CONTENT_X_NUMBER = 3,
	XCALLLOG_CONTENT_X_DATE = 4,
	XCALLLOG_CONTENT_X_DURATION = 5,
	XCALLLOG_CONTENT_X_CALLTYPE = 6,

} xcallog_value_type_e;

#endif				/* PLUGIN_SPEC_H_ */
