/*
 * oma-ds-agent
 * Copyright (c) 2012 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef UNIT_TEST_H_
#define UNIT_TEST_H_

#include "unit_test_common.h"

typedef enum run_unit_test_mode run_unit_test_mode_t;
enum run_unit_test_mode {
	FUNCTION_MODE,		/* unit test runs just like function */
	/* good for debugging */
	FORK_MODE
};

int unit_test_run(run_unit_test_mode_t mode);

#endif				/* UNIT_TEST_H_ */
